| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::ItemQueryBuilder Class Reference

## Public Member Functions
QString | buildQuery (const QString &q, QList< QVariant > *boundValues, ItemQueryPostHooks *const hooks) const
QString | buildQueryFromUrl (const QUrl &url, QList< QVariant > *boundValues) const
QString | buildQueryFromXml (const QString &xml, QList< QVariant > *boundValues, ItemQueryPostHooks *const hooks) const
QString | convertFromUrlToXml (const QUrl &url) const
void | setImageTagPropertiesJoined (bool isJoined)
| Use for special queries where ImageTagProperties table is JOIN'ed.

## Static Public Member Functions
static void | addNoEffectContent (QString &sql, SearchXml::Operator op)
static void | addSqlOperator (QString &sql, SearchXml::Operator op, bool isFirst)
static void | addSqlRelation (QString &sql, SearchXml::Relation rel)

## Protected Member Functions
bool | buildField (QString &sql, SearchXmlCachingReader &reader, const QString &name, QList< QVariant > *boundValues, ItemQueryPostHooks *const hooks) const
void | buildGroup (QString &sql, SearchXmlCachingReader &reader, QList< QVariant > *boundValues, ItemQueryPostHooks *const hooks) const
QString | possibleDate (const QString &str, bool &exact) const

## Protected Attributes
bool | m_imageTagPropertiesJoined = false
QString | m_longMonths [12]
QString | m_shortMonths [12]

## Member Function Documentation

## ◆ setImageTagPropertiesJoined()

void Digikam::ItemQueryBuilder::setImageTagPropertiesJoined | ( | bool | isJoined | ) |

(Default: false)